Page 1 of 3 123 LastLast
Results 1 to 10 of 30

Thread: Software Updates - opinion/advice required

  1. #1

    Default Software Updates - opinion/advice required

    Hi all,

    Since upgrading from Opensuse 11.3 to 11.4, I have noted that I am no longer getting frequent automatic updates. When using 11.3 I would every second or third day have the update icon appear and be prompted to type in my root password to allow updating.

    Since the upgrade to 11.4, if I want to upgrade software I will need to go to the online update tool and download through there, though there is not always updates available.

    The zypper lr command gives me the following output # | Alias | Name - Pastebin.com
    and within Yast2 I have enabled Automatic Online Update with the daily interval.

    So in my opinion it can either be one of two things..

    Either my software updates have not been configured correctly, OR
    there have not been many software updates available since upgrading to Opensuse version 11.4.

    Can I please get an opinion or some advice in relation to this.

    Thank you.

  2. #2
    Join Date
    Jun 2008
    Location
    Moorsel - Belgium
    Posts
    39

    Default Re: Software Updates - opinion/advice required

    do a "zypper lr 8"
    this will give you detailed information about the current configured update repository.

    This is my setup


    Code:
    #  | Alias                            | Name                             | Enabled | Refresh
    ---+----------------------------------+----------------------------------+---------+--------
     1 | GNOME:STABLE:3.0                 | GNOME:STABLE:3.0                 | Yes     | Yes    
     2 | Kernel:stable                    | Kernel:stable                    | Yes     | Yes    
     3 | Updates-for-openSUSE-11.4-11.4-0 | Updates for openSUSE 11.4 11.4-0 | Yes     | Yes    
     4 | ftp.uni-erlangen.de-suse_1       | Packman Repository               | Yes     | Yes    
     5 | google-chrome                    | google-chrome                    | Yes     | Yes    
     6 | openSUSE-11.4-11.4-0             | openSUSE-11.4-11.4-0             | Yes     | No     
     7 | opensuse-guide.org-repo          | libdvdcss repository             | Yes     | Yes    
     8 | repo-debug                       | openSUSE-11.4-Debug              | No      | Yes    
     9 | repo-debug-update                | openSUSE-11.4-Update-Debug       | No      | Yes    
    10 | repo-non-oss                     | openSUSE-11.4-Non-Oss            | Yes     | Yes    
    11 | repo-oss                         | openSUSE-11.4-Oss                | Yes     | Yes    
    12 | repo-source                      | openSUSE-11.4-Source             | No      | Yes
    and when I do "zypper lr 3" I get:
    Code:
    Alias          : Updates-for-openSUSE-11.4-11.4-0                    
    Name           : Updates for openSUSE 11.4 11.4-0                    
    URI            : Index of /update/11.4           
    Enabled        : Yes                                                 
    Priority       : 99                                                  
    Auto-refresh   : On                                                  
    Keep Packages  : Off                                                 
    Type           : rpm-md                                              
    GPG Check      : On                                                  
    GPG Key URI    :                                                     
    Path Prefix    : /                                                   
    Parent Service :                                                     
    MD Cache Path  : /var/cache/zypp/raw/Updates-for-openSUSE-11.4-11.4-0
    Maybe your URI is wrong, so you better check it.

  3. #3
    Join Date
    Jun 2008
    Location
    Earth - Denmark
    Posts
    10,730

    Default Re: Software Updates - opinion/advice required

    On 04/25/2011 08:06 AM, koen dewitte wrote:
    >
    > do a "zypper lr 8"


    i guess that is a typo as "lr 8" would give only info on the 8th repo, i
    think it was supposed to look like

    Code:
    zypper lr -d
    (no picking at you koen, just thought might confuse the OP)

    --
    CAVEAT: http://is.gd/bpoMD
    [openSUSE 11.3 + KDE4.5.5 + Thunderbird3.1.8 via NNTP]
    Q: What do you get if you divide the circumference of a jack-o-lantern
    by its diameter?
    A: Pumpkin Pi!

  4. #4
    Join Date
    Jun 2008
    Location
    Moorsel - Belgium
    Posts
    39

    Default Re: Software Updates - opinion/advice required

    true, I just wanted to compare his update repo (number 8 in his list) with mine (number 3)
    But your way is better, gives all details at once... learning while helping ;-)

  5. #5
    Join Date
    Jun 2008
    Location
    West Yorkshire, UK
    Posts
    3,450

    Default Re: Software Updates - opinion/advice required

    My experience since installing KDE4 11.4 is that I get updates every day. However, KPackageKit failed to work properly with one user while working properly with another. When I stopped using KPackageKit with the first user, it stopped giving alerts to that user but continues to give alerts to the other user and, with one exception, has installed everything without any problems. That exception was solved simply by going to YaST>Online update.

  6. #6
    Join Date
    Jun 2008
    Location
    Earth - Denmark
    Posts
    10,730

    Default Re: Software Updates - opinion/advice required

    On 04/25/2011 12:36 PM, john hudson wrote:
    >
    > That exception was solved simply by going to YaST>Online update.
    >


    i've not tried 11.4 yet...but, my practice since 10.3 has been to use
    the updater as a signal only..

    that is, when it says there is an update i tell it not now/go away or i
    just ignore it and open YaST > Online Update instead....then i look at
    each suggested update and decide if i want it or not and only accept
    what *I* want..

    and mark the ones i don't want a taboo--never update..

    the, right click on the updater and tell it to "Check now" and it again
    turns green (no updates available) and next time it turns yellow or red
    i open Online Update and . . .

    it seems to me the update system often wants to install stuff that i do
    not want...like right now it want to install a krb5 security update,
    which i can't see how i need as i'm the only 'node' on a home network
    and have no Kerberos client in use..

    and, it wants to install a pulseaudio "fix directory permissions" but
    pulseaudio is not in use, or installed! (so, i _guess_ if i allow it to
    "fix directory permissions" it will want to INSTALL those directories
    (and, contents?) so it _can_ fix them....no thanks!)

    --
    CAVEAT: http://is.gd/bpoMD
    [openSUSE 11.3 + KDE4.5.5 + Thunderbird3.1.8 via NNTP]
    Q: What do you get if you divide the circumference of a jack-o-lantern
    by its diameter?
    A: Pumpkin Pi!

  7. #7

    Default Re: Software Updates - opinion/advice required

    Hello all

    the below is output of the DenverD's and koen_dewitte's suggestions.
    paul@linux-68lo:~> zypper lr -d # | Alias | Name - Pastebin.com

    Today I have run the Online Update Command and no packages have come up for updating.

    I'll wait until tomorrow and give it another test run.

    I hope that there are other software that appears for updating.

    Regards,

  8. #8

    Default Re: Software Updates - opinion/advice required

    I've had kpackager offer 11.4 updates when yast states that there aren't any. I later accepted the kpackager offering and then re install so kpackager is now turned off.

    I have also just had kpackager install rpm's that I didn't ask for or want or relate to the rpm that I wanted. Now I'm trying to get yast to install downloaded rpms by default. No such luck so far.

    I've installed 11.4 3 times in the last couple of weeks and using yast have only had one further rather small update offered over the initial batch. As 11.4 itself seems rather stable I am very happy with this.

    John

  9. #9
    Join Date
    Jun 2008
    Location
    Earth - Denmark
    Posts
    10,730

    Default Re: Software Updates - opinion/advice required

    On 04/25/2011 05:06 PM, leo mancini wrote:
    >


    > Today I have run the Online Update Command and no packages have come up
    > for updating.
    >
    > I'll wait until tomorrow and give it another test run.
    >
    > I hope that there are other software that appears for updating.


    perhaps you don't understand what the online updater is all about!

    the BEST thing that could ever happen is that there is never anything to
    up date! because the almost the _only_ updates that come along are
    security patches and bug fixes....so, nothing coming means what you have
    is perfect!

    don't confuse update with upgrade..

    upgrading to a newer version of software is normally done with each new
    release, each 8 months

    now, there are a few exceptions...like 11.4 shipped with FF 4 Beta, and
    it was updated to the non-beta version when it came out.....but, by and
    large the 11.4 that reaches end of life will do so with pretty much the
    software it was born with, but updated to kill major bugs and security
    patches...

    if that is not "bleeding edge" enough for you then you have to move to
    another distro, or move from 11.4 to Tumbleweed...but, my personal
    opinion is that Tumbleweed may not be suitable for a person with a level
    of understanding of the system...well, read the cautions in "Who should
    try Tumbleweed?" here: http://tinyurl.com/69mj3zj

    oh, read some of the tales of woe in http://tinyurl.com/3vqvnl3

    and, be careful with your decision, because backing out of Tumbleweed is
    a LOT more difficult than diving in...

    --
    CAVEAT: http://is.gd/bpoMD
    [openSUSE 11.3 + KDE4.5.5 + Thunderbird3.1.8 via NNTP]
    Q: What do you get if you divide the circumference of a jack-o-lantern
    by its diameter?
    A: Pumpkin Pi!

  10. #10

    Default Re: Software Updates - opinion/advice required

    Hi,

    I just want to ask a question.. In relation to Software updates...
    (I wish that I could upload a screenshot though not sure how to).

    Anyway within Yast I have for example VLC version 1.1.7-3.pm.17.1 installed,
    though within the brackets ie available for upgrade/update I have version 1.1.9-1.pm.2.4.

    Now if I were to run Software update the above would not automatically be selected for updating. Why would this be? In the past I installed Gnome Desktop and these update/upgrading options were available (though yast), though in KDE (which I am using now) (through yast) they are not.

    Now I assume (in theory) that an updated version of a software such as VLC should run better or have some bug fixes from the previous version.

    Have I misunderstood what software updates is, or is this a bug within the software package of Yast and it is not running as intended?

    PS I understand the advantage of the software update package of not selecting all software for updating and just selecting the important security update features is useful so not to download ginormous amounts of data through each reboot, though I just would like some clarification / opinions.

    Thanks again.

    Regards.

Page 1 of 3 123 LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •